Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.registry
Class EntityRegistry

    java.lang.Object
      cpw.mods.fml.common.registry.EntityRegistry

    public class EntityRegistry

extends Object

Nested Class Summary
`class` | `EntityRegistry.EntityRegistration`

Method Summary
`static void` | `addSpawn(Class<? extends EntityLiving> entityClass, int weightedProb, int min, int max, EnumCreatureType typeOfCreature, BiomeGenBase... biomes)`
`static void` | `addSpawn(String entityName, int weightedProb, int min, int max, EnumCreatureType spawnList, BiomeGenBase... biomes)`
`static int` | `findGlobalUniqueEntityId()`
`static EntityRegistry` | `instance()`
`EntityRegistry.EntityRegistration` | `lookupModSpawn(Class<? extends Entity> clazz, boolean keepLooking)`
`EntityRegistry.EntityRegistration` | `lookupModSpawn(ModContainer mc, int modEntityId)`
`static void` | `registerGlobalEntityID(Class<? extends Entity> entityClass, String entityName, int id)`
`static void` | `registerGlobalEntityID(Class<? extends Entity> entityClass, String entityName, int id, int backgroundEggColour, int foregroundEggColour)`
`static void` | `registerModEntity(Class<? extends Entity> entityClass, String entityName, int id, Object mod, int trackingRange, int updateFrequency, boolean sendsVelocityUpdates)` Register the mod entity type with FML
`static EntityRegistry.EntityRegistration` | `registerModLoaderEntity(Object mod, Class<? extends Entity> entityClass, int entityTypeId, int updateRange, int updateInterval, boolean sendVelocityInfo)` Deprecated.
`static void` | `removeSpawn(Class<? extends EntityLiving> entityClass, EnumCreatureType typeOfCreature, BiomeGenBase... biomes)`
`static void` | `removeSpawn(String entityName, EnumCreatureType spawnList, BiomeGenBase... biomes)`
`boolean` | `tryTrackingEntity(EntityTracker entityTracker, Entity entity)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instance

    public static EntityRegistry instance()

### registerModEntity

    public static void registerModEntity(Class<? extends Entity> entityClass,
                                         String entityName,
                                         int id,
                                         Object mod,
                                         int trackingRange,
                                         int updateFrequency,
                                         boolean sendsVelocityUpdates)

  Register the mod entity type with FML

  Parameters:
    `entityClass` - The entity class
    `entityName` - A unique name for the entity
    `id` - A mod specific ID for the entity
    `mod` - The mod
    `trackingRange` - The range at which MC will send tracking updates
    `updateFrequency` - The frequency of tracking updates
    `sendsVelocityUpdates` - Whether to send velocity information packets as well

### registerGlobalEntityID

    public static void registerGlobalEntityID(Class<? extends Entity> entityClass,
                                              String entityName,
                                              int id)

### registerGlobalEntityID

    public static void registerGlobalEntityID(Class<? extends Entity> entityClass,
                                              String entityName,
                                              int id,
                                              int backgroundEggColour,
                                              int foregroundEggColour)

### addSpawn

    public static void addSpawn(Class<? extends EntityLiving> entityClass,
                                int weightedProb,
                                int min,
                                int max,
                                EnumCreatureType typeOfCreature,
                                BiomeGenBase... biomes)

### addSpawn

    public static void addSpawn(String entityName,
                                int weightedProb,
                                int min,
                                int max,
                                EnumCreatureType spawnList,
                                BiomeGenBase... biomes)

### removeSpawn

    public static void removeSpawn(Class<? extends EntityLiving> entityClass,
                                   EnumCreatureType typeOfCreature,
                                   BiomeGenBase... biomes)

### removeSpawn

    public static void removeSpawn(String entityName,
                                   EnumCreatureType spawnList,
                                   BiomeGenBase... biomes)

### findGlobalUniqueEntityId

    public static int findGlobalUniqueEntityId()

### lookupModSpawn

    public EntityRegistry.EntityRegistration lookupModSpawn(Class<? extends Entity> clazz,
                                                            boolean keepLooking)

### lookupModSpawn

    public EntityRegistry.EntityRegistration lookupModSpawn(ModContainer mc,
                                                            int modEntityId)

### tryTrackingEntity

    public boolean tryTrackingEntity(EntityTracker entityTracker,
                                     Entity entity)

### registerModLoaderEntity

    @Deprecated
    public static EntityRegistry.EntityRegistration registerModLoaderEntity(Object mod,
                                                                                       Class<? extends Entity> entityClass,
                                                                                       int entityTypeId,
                                                                                       int updateRange,
                                                                                       int updateInterval,
                                                                                       boolean sendVelocityInfo)

  Deprecated.

  DO NOT USE THIS METHOD

  Parameters:
    `entityClass` -
    `entityTypeId` -
    `updateRange` -
    `updateInterval` -
    `sendVelocityInfo` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD